=== debian/changelog ===
parametrize (0.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Feb 2026 07:10:10 +0100
