=== debian/control ===
Source: parametrize
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hatch-vcs,
               python3-hatchling,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-pytest-sugar
Standards-Version: 4.7.3
Homepage: https://github.com/Bobronium/parametrize
Vcs-Git: https://salsa.debian.org/python-team/packages/parametrize.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/parametrize
Testsuite: autopkgtest-pkg-python

Package: python3-parametrize
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Drop-in @pytest.mark.parametrize replacement
 You want to start using @pytest.mark.parametrize, but can't simply drop
 unittest.TestCase because you have tons of self.assert's, setUp's
 tearDown's to rewrite?
 .
 With @parametrize you can start parameterizing your tests now, and get
 rid of unittest.TestCase later if needed.
