=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/parametrize-$1\.tar\.gz/ \
    https://github.com/Bobronium/parametrize/tags .*/v?(\d\S*)\.tar\.gz
